
#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace SatAMGame
{
    class Frame
    {
        float _frameDelay = 0f;
        string _framePath = "";
        float _rotation = 0f;
        int _transparency = 100;
        int _spriteWidth = 0;
        int _spriteHeight = 0;
        Rectangle _scaleRect = new Rectangle();
        bool _hFlip = false;
        bool _vFlip = false;
        bool _isAnimate = true;
        bool _loop = false;
        Color _colorTint = Color.White;

        #region Properties
        public float FrameDelay
        {
            get { return _frameDelay; }
            set { _frameDelay = value; }
        }

        public string FramePath
        {
            get { return _framePath; }
            set { _framePath = value; }
        }

        public float Rotation
        {
            get { return _rotation; }
            set { _rotation = value; }
        }

        public int Transparency
        {
            get { return _transparency; }
            set { _transparency = value; }
        }

        public int SpriteWidth
        {
            get { return _spriteWidth; }
            set { _spriteWidth = value; }
        }

        public int SpriteHeight
        {
            get { return _spriteHeight; }
            set { _spriteHeight = value; }
        }

        public Rectangle ScaleRect
        {
            get { return _scaleRect; }
            set { _scaleRect = value; }
        }

        public bool HFlip
        {
            get { return _hFlip; }
            set { _hFlip = value; }
        }

        public bool VFlip
        {
            get { return _vFlip; }
            set { _vFlip = value; }
        }

        public bool IsAnimate
        {
            get { return _isAnimate; }
            set { _isAnimate = value; }
        }

        public bool Loop
        {
            get { return _loop; }
            set { _loop = value; }
        }

        public Color ColorTint
        {
            get { return _colorTint; }
            set { _colorTint = value; }
        }
        #endregion

        public Frame()
        {

        }

        public Frame(string path)
        {
            FramePath = path;
        }
    }
}


